Apper da errore

6 risposte [Ultimo messaggio]
Ritratto di Sandro
Sandro
(Geek)
Offline
Geek
Iscritto: 28/11/2011
Messaggi: 86

Ciao a tutti,ho eseguito una nuova installazione con fedora 21 KDE ,aggiornata ,codec senza alcun problema. Il problema e' arrivato quando da terminale ho installato libreoffice e libreoffice KDE come da guida trovata nel sito. Adesso apro apper con le relative icone (giochi,internet,ecc.)ma quando clicco su di esse mi viene fuori il seguente errore (Si e'verificato un errore interno di sistema Searchgroups not supported by backed). So di essere il solito casinaro ,scherzo e se qualcuno mi potrebbe suggerire come risolvere lo ringrazio

Sandro

Ritratto di Sandro
Sandro
(Geek)
Offline
Geek
Iscritto: 28/11/2011
Messaggi: 86

Ciao stasera all'accensione del computer mi sono arrivatti gli aggiornamenti e installati con successo con Apper, ma putroppo il problema e' rimasto

Sandro

Ritratto di Sandro
Sandro
(Geek)
Offline
Geek
Iscritto: 28/11/2011
Messaggi: 86

Ciao ieri sera ho aggiornato apper ma il problema e' rimasto,pero' se faccio una ricerca di un programma va senza problemi. Ho voluto provavare Sinaptic e funziona perfettamente. Oggi o domani appena ho un po di tempo riparto da zero controllando ad ogni installazione se Apper mi da ancora il problema .

Sandro

Ritratto di Sandro
Sandro
(Geek)
Offline
Geek
Iscritto: 28/11/2011
Messaggi: 86

Ciao ho fatto un' installazione da zero ma come sopra. Con Apper aggiorno ,posso ricercare i programmi con ricerca nome ma quando clicco sulle icone mi da errore.

Sandro

Ritratto di inkogniteko
inkogniteko
(Junior)
Offline
Junior
Iscritto: 25/01/2015
Messaggi: 8

E' un bug di PackageKit:
http://fedoramagazine.org/special-update-information-for-fedora-21-users-packagekit-errors/

Usando Apper o il gestore pacchetti di GNOME si danneggia il database dei pacchetti.

Per risolvere:
su -c 'yum update --advisory=FEDORA-2015-0921'
su -c 'shutdown -r now'
su -c 'pkcon repair'
su -c 'shutdown -r now'

Dovrebbe arrivare un aggiornamento a breve, comunque Yum e Yumex non hanno problemi (e sono molto più affidabili di PackageKit, in generale).
Wink

Yumex user, desktop KDE

Ritratto di Sandro
Sandro
(Geek)
Offline
Geek
Iscritto: 28/11/2011
Messaggi: 86

Ciao inkogniteko,ho provato il tuo suggerimento e non ha risolto il problema.

Sandro

Ritratto di konkludoj
konkludoj
(Newbie)
Offline
Newbie
Iscritto: 17/03/2015
Messaggi: 1

Apper e tutto quello che poggia su PackageKit non è affidabile (almeno nella 21). L'unico modo è usare Yumex: funziona bene sia l'installazione che la disinstallazione dei programmi. Anche l'avviso di aggiornamenti non funziona, e bisogna aggiornale da Terminale con:
su -c 'yum update'

Nella 22 il problema dovrebbe sparire (Apper ha sempre funzionato). Probabilmente nel passagio a DNF, previsto per F22, qualcosa è andato storto.